Skip to main content
DELETE
/
{env_id}
/
{flow_id}
/
{tenant}
/
jobs
/
schedule
Delete jobs schedule
curl --request DELETE \
  --url https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/schedule \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/schedule"

headers = {"x-api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{}
Hard delete is only supported for the default tenant. When hard_delete=true and tenant is default, the schedule is permanently removed. For any other tenant, the same request only disables the schedule — it does not delete it.See Deleting or disabling schedules via API for details.

Authorizations

x-api-key
string
header
required

Path Parameters

env_id
string
required

ID of environment

flow_id
string
required

ID of flow

tenant
string
required

ID of tenant

Query Parameters

hard_delete
string

If true, permanently deletes the schedule when tenant is default. For any other tenant, the schedule is only disabled. If false or omitted, disables the schedule without deleting it.

Response

200

The response is of type object.